summaryrefslogtreecommitdiff
blob: dd0f04aa8de81caa9e3daa153c2c6b50694da019 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
--- installgl.sh
+++ installgl.sh
@@ -273 +272,0 @@
-read randomkey
@@ -299 +298 @@
-    read usetcpd
+    usetcpd=${USETCPD}
@@ -363 +362 @@
-    read jail
+    jail=y
@@ -376 +375 @@
-                read jaildir
+                jaildir=${GLROOT}
@@ -388 +387 @@
-                            read reply
+                            echo "SHOULD NOT HAVE BEEN HERE 1" ; exit 1
@@ -420 +419 @@
-        read useprivgroup
+        useprivgroup=n
@@ -441 +440 @@
-                    read privgroup
+                    echo "SHOULD NOT HAVE BEEN HERE 2" ; exit 1
@@ -450 +449 @@
-                        read reply
+                        echo "SHOULD NOT HAVE BEEN HERE 3" ; exit 1
@@ -468 +467 @@
-                        read jailusers
+                        echo "SHOULD NOT HAVE BEEN HERE 4" ; exit 1
@@ -532 +531 @@
-    read glroot
+    break
@@ -544 +543 @@
-                read reply
+                echo "SHOULD NOT HAVE BEEN HERE 5" ; exit 1
@@ -620 +619 @@
-  read keystroke
+  echo "SHOULD NOT HAVE BEEN HERE A" ; exit 1
@@ -657 +656 @@
-    read servicename
+    servicename=glftpd
@@ -672 +671 @@
-            read keystroke
+            keystroke=y
@@ -694 +693 @@
-    read keystroke
+    echo "SHOULD NOT HAVE BEEN HERE 6.2" ; exit 1
@@ -751 +750 @@
-        $usegcc $gccflags "$jaildir$glroot/bin/$base" "$cfile" >/dev/null 2>&1 || \
+        $usegcc $gccflags "$jaildir$glroot/bin/$base" "$cfile" >& "$cfile".cc.log || \
@@ -754 +753 @@
-            echo "OK."
+            echo "OK." ; rm -f "$cfile".cc.log
@@ -757 +756 @@
-            echo "FAILED!"
+            echo "FAILED!" ; cat "$cfile".cc.log
@@ -885 +884 @@
-    read port
+    port=21
@@ -901,4 +899,0 @@
-{ grep -v ^${servicename} /etc/services;
-  echo "$servicename   $port/tcp"
-} > /etc/services.new
-mv -f /etc/services.new /etc/services
@@ -950 +945 @@
-        read whichnetd
+        whichnetd=${WHICHNETD}
@@ -962,4 +957 @@
-    echo "ERROR: Can't determine if you are using inetd or xinetd!"
-    echo "This is usually because neither is running at the moment -"
-    echo "install/start one of them and re-run this installer."
-    exit 1
+    whichnetd=${WHICHNETD}
@@ -980 +972 @@
-   read keystroke
+   keystroke=n
@@ -998 +990 @@
-    read keystroke
+    echo "SHOULD NOT HAVE BEEN HERE B" ; exit 1
@@ -1020 +1011,0 @@
-      cp /etc/localtime /usr/lib/
@@ -1040 +1031 @@
-    read tlsname
+    tlsname="ftp server"
@@ -1101 +1092 @@
-    mv -f $base.pem $tls/
+    mv -f $base.pem $D$tls/
@@ -1134 +1125 @@
-  read tls
+  echo "SHOULD NOT HAVE BEEN HERE 7" ; exit 1
@@ -1162 +1153 @@
-        read tls
+        tls=/etc/glftpd-dsa.pem ; break
@@ -1287,3 +1278,2 @@
-    [ ! -d "/etc/xinetd.d" ] && {
-        mkdir /etc/xinetd.d
-        echo "includedir /etc/xinetd.d" >> /etc/xinetd.conf
+    [ ! -d "$D/etc/xinetd.d" ] && {
+        mkdir $D/etc/xinetd.d
@@ -1291 +1281 @@
-    cat <<EOF > /etc/xinetd.d/$servicename
+    cat <<EOF > $D/etc/xinetd.d/$servicename
@@ -1324,3 +1313,0 @@
-{ crontab -l | grep -v "$jaildir$glroot/bin/reset"
-  echo "0  0 * * *      $jaildir$glroot/bin/reset ${euroweek}${confpath}"
-} | crontab - > /dev/null